## ros-iron-moveit-ros-occupancy-map-monitor 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_occupancy_map_monitor LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

if(APPLE)
  find_package(X11 REQUIRED)
endif()

find_package(moveit_core REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(octomap REQUIRED)
find_package(geometric_shapes REQUIRED)
find_package(tf2_ros REQUIRED)


include_directories(include)
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rclcpp
  moveit_core
  moveit_msgs
  pluginlib
  octomap
  geometric_shapes
  Boost
)

add_library(moveit_ros_occupancy_map_monitor SHARED
  src/occupancy_map_monitor.cpp
  src/occupancy_map_monitor_middleware_handle.cpp
  src/occupancy_map_updater.cpp
)
set_target_properties(moveit_ros_occupancy_map_monitor PROPERTIES VERSION "${moveit_ros_occupancy_map_monitor_VERSION}")
ament_target_dependencies(moveit_ros_occupancy_map_monitor
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

add_executable(moveit_ros_occupancy_map_server src/occupancy_map_server.cpp)
ament_target_dependencies(moveit_ros_occupancy_map_server
  PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS}
)
target_link_libraries(moveit_ros_occupancy_map_server
  PRIVATE
  moveit_ros_occupancy_map_monitor)

install(
  TARGETS moveit_ros_occupancy_map_monitor
  EXPORT moveit_ros_occupancy_map_monitorTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include/moveit_ros_occupancy_map_monitor
)

install(TARGETS moveit_ros_occupancy_map_server
  DESTINATION lib/moveit_ros_occupancy_map_monitor
)
install(DIRECTORY include/ DESTINATION include/moveit_ros_occupancy_map_monitor)

ament_export_targets(moveit_ros_occupancy_map_monitorTargets HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS} eigen3_cmake_module)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gmock REQUIRED)

  ament_add_gmock(occupancy_map_monitor_tests
    test/occupancy_map_monitor_tests.cpp
  )
  target_link_libraries(occupancy_map_monitor_tests
    moveit_ros_occupancy_map_monitor
  )
endif()

ament_package()

=== debian/changelog ===
ros-iron-moveit-ros-occupancy-map-monitor (2.8.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.7.3-1jammy) jammy; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.7.2-1jammy) jammy; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.7.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.7.0-1jammy) jammy; urgency=high

  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Switch to clang-format-14 (#1877 <https://github.com/ros-planning/moveit2/issues/1877>)
    * Switch to clang-format-14
    * Fix clang-format-14
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Abhijeet Das Gupta, Chris Thrasher, Christian Henkel, Cory Crean, Henning Kayser, Robert Haschke, Sameer Gupta

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.6.0-1jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Robert Haschke, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.5.2-1jammy) jammy; urgency=high

  * Remove no longer needed no-pedantic option in moveit_ros_occupancy_map_monitor package (#1397 <https://github.com/ros-planning/moveit2/issues/1397>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * banish bind()
  * various: prefer objects and references over pointers
  * Contributors: David V. Lu, Henry Moore, Jafar, Michael Görner, Nathan Brooks, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-iron-moveit-ros-occupancy-map-monitor (2.5.0-1jammy) jammy; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)


=== debian/control ===
Source: ros-iron-moveit-ros-occupancy-map-monitor
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-eigen3-cmake-module, ros-iron-geometric-shapes, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-octomap, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-occupancy-map-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-iron-eigen3-cmake-module, ros-iron-geometric-shapes, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-octomap, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: Components of MoveIt connecting to occupancy map

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-ros-occupancy-map-monitor//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
